Bug 133059 - ftp tree broken (patch)
Summary: ftp tree broken (patch)
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: system-config-packages   
(Show other bugs)
Version: 2
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Jeremy Katz
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-09-21 10:08 UTC by Gerald Teschl
Modified: 2007-11-30 22:10 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-04-22 01:11:37 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Gerald Teschl 2004-09-21 10:08:11 UTC
Using "-t ftp://....." does not work for me. The following patch fixes
it:

--- urlmethod.py.orig   2004-09-21 11:50:39.446812792 +0200
+++ urlmethod.py        2004-09-21 11:50:25.930867528 +0200
@@ -141,7 +141,7 @@
         # FIXME: there is no mkstemp in python :(
         fn = tempfile.mktemp()

-        if h[1000005] is None:
+        if h[1000005] is None or h[1000005] == []:
             path = self.packagesDir
         else:
             path = "%s/../Updates" %(self.packagesDir,)

Comment 1 Jeremy Katz 2004-09-21 13:20:24 UTC
Fixed in CVS (although with a slightly different patch)

Comment 2 John Thacker 2006-04-22 01:11:37 UTC
If this was fixed in CVS a year and a half ago, it should be fixed now.  Also,
system-config-packages is deprecated now in favor of pirut and doesn't exist in
FC5.  Closing.


Note You need to log in before you can comment on or make changes to this bug.